Subject: Re: [PATCH v3 02/12] netlink: spec: add shaper YAML spec

From: Jakub Kicinski <[email-masked]>
Date: Mon, 12 Aug 2024 08:25:44 -0700

On Mon, 12 Aug 2024 16:58:33 +0200 Paolo Abeni wrote:
> > It's a tree, so perhaps just stick with tree terminology, everyone is
> > used to that. Makes sense? One way or another, this needs to be
> > properly described in docs, all terminology. That would make things more
> > clear, I believe.  
> 
> @Jakub, would you be ok with:
> 
> 'inputs' ->  'leaves'
> 'output' -> 'node'
> ?

I think the confusion is primarily about the parent / child.
input and output should be very clear, IMO.

> Also while at it, I think renaming the 'group()' operation as 
> 'node_set()' could be clearer (or at least less unclear), WDYT?

No idea how we arrived at node_set(), and how it can possibly 
represent a grouping operation.
The operations is grouping inputs and creating a scheduler node.

> Note: I think it's would be more user-friendly to keep a single 
> delete/get/dump operation for 'nodes' and leaves.

Are you implying that nodes and leaves are different types of objects?
Aren't leaves nodes without any inputs?